RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Functions | Variables
plot_layouts.h File Reference
Utilities » Functions for Creating RNA Secondary Structures Plots, Dot-Plots, and More

Secondary structure plot layout algorithms. More...

Include dependency graph for plot_layouts.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | COORDINATE
| this is a workarround for the SWIG Perl Wrapper RNA plot function that returns an array of type COORDINATE More...

## Macros
#define | VRNA_PLOT_TYPE_SIMPLE 0
| Definition of Plot type simple More...
#define | VRNA_PLOT_TYPE_NAVIEW 1
| Definition of Plot type Naview More...
#define | VRNA_PLOT_TYPE_CIRCULAR 2
| Definition of Plot type Circular More...

## Functions
int | simple_xy_coordinates (short *pair_table, float *X, float *Y)
| Calculate nucleotide coordinates for secondary structure plot the Simple way More...
int | simple_circplot_coordinates (short *pair_table, float *x, float *y)
| Calculate nucleotide coordinates for Circular Plot More...

## Variables
int | rna_plot_type
| Switch for changing the secondary structure layout algorithm. More...

## Detailed Description

Secondary structure plot layout algorithms.

c Ronny Lorenz The ViennaRNA Package